Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class OidInfo

    java.lang.Object
      oracle.ifs.utils.common.OidInfo

    public class OidInfo

extends java.lang.Object

A wrapper object that contains OiD related information pertaining to the security reassociation in iAS.

(Unpublished)

Constructor Summary
`OidInfo(java.lang.String oidHost, java.lang.String oidPort, java.lang.String oidUser, java.lang.String oidPassword, java.lang.String oidRealm, java.lang.String oidConnect, java.lang.Boolean oidIsSSL, java.lang.String oidRootOracleContext)` Constructor.

Method Summary
`java.lang.String` | `getConnect()` Returns the OiD server's connect string.
`java.lang.String` | `getHost()` Returns the OiD server's host.
`java.lang.String` | `getPassword()` Returns the password to connect the OiD server.
`java.lang.String` | `getPort()` Returns the OiD server's port.
`java.lang.String` | `getRealm()` Returns the OiD server's realm.
`java.lang.String` | `getRootOracleContext()` Returns the OiD server's root Oracle context.
`java.lang.String` | `getUser()` Returns the user to connect the OiD server.
`java.lang.Boolean` | `isSSL()` Returns whether to use SSL to connect to the OiD server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OidInfo

    public OidInfo(java.lang.String oidHost,
                   java.lang.String oidPort,
                   java.lang.String oidUser,
                   java.lang.String oidPassword,
                   java.lang.String oidRealm,
                   java.lang.String oidConnect,
                   java.lang.Boolean oidIsSSL,
                   java.lang.String oidRootOracleContext)

  Constructor.

  Parameters:
    `oidHost` - the OiD server's host
    `oidPort` - the OiD server's port
    `oidUser` - the user to connect to the OiD server
    `oidPassword` - the password to connect to the OiD server
    `oidRealm` - the OiD server's realm
    `oidConnect` - the OiD server's connect string
    `oidIsSSL` - whether use SSL to connect to the OiD server
    `oidRootOracleContext` - the OiD server's root Oracle context

Method Detail

### getHost

    public java.lang.String getHost()

  Description copied from class: `OidInfo`
  Returns the OiD server's host.

### getPort

    public java.lang.String getPort()

  Description copied from class: `OidInfo`
  Returns the OiD server's port.

### getUser

    public java.lang.String getUser()

  Description copied from class: `OidInfo`
  Returns the user to connect the OiD server.

### getPassword

    public java.lang.String getPassword()

  Description copied from class: `OidInfo`
  Returns the password to connect the OiD server.

### getRealm

    public java.lang.String getRealm()

  Description copied from class: `OidInfo`
  Returns the OiD server's realm.

### getConnect

    public java.lang.String getConnect()

  Description copied from class: `OidInfo`
  Returns the OiD server's connect string.

### isSSL

    public java.lang.Boolean isSSL()

  Description copied from class: `OidInfo`
  Returns whether to use SSL to connect to the OiD server.

### getRootOracleContext

    public java.lang.String getRootOracleContext()

  Description copied from class: `OidInfo`
  Returns the OiD server's root Oracle context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD